{%if warnings %}
  <div class="card text-white bg-warning mb-3">
    <h5 class="card-header">Warnings</h5>
    <div class="card-body">
      <ul id="warning-list">
        {% for warning in warnings %}
        {%if warning.list%}
          <li> {{ warning.message }} </li>
          <ul>
            {% for item in warning.list %}
              <li> {{ item }} </li>
            {%endfor%}
          </ul>
        {%else%}
          <li> {{ warning }} </li>
        {%endif%}
        {%endfor%}
      </ul>
    </div>
  </div>
{%endif%}

{%if errors %}
  <div class="card text-white bg-danger mb-3">
    <h5 class="card-header">Error {{errors_title}}</h5>
    <div class="card-body">
      <ul id="error-list">
          <li> {{ errors }} </li>
      </ul>
    </div>
  </div>
{%endif%}

{%if infos %}
  <div class="card text-white bg-info mb-3">
    <h5 class="card-header">Information</h5>
    <div class="card-body">
      <ul id="info-list">
        {% for info in infos %}
          <li> {{ info }} </li>
        {%endfor%}
      </ul>
    </div>
  </div>
{%endif%}
